cURL
curl --request POST \
--url https://test.deribit.com/api/v2/private/set_clearance_originator \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 1,
"method": "private/set_clearance_originator",
"params": {
"deposit_id": {
"currency": "BTC",
"user_id": 123,
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"tx_hash": "230669110fdaf0a0dbcdc079b6b8b43d5af29cc73683835b9bc6b3406c065fda"
},
"originator": {
"is_personal": false,
"first_name": "First",
"last_name": "Last",
"company_name": "Company Name",
"address": "NL, Amsterdam, Street, 1"
}
}
}'{
"jsonrpc": "2.0",
"id": 1,
"result": {
"currency": "BTC",
"user_id": 123,
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"amount": 0.4,
"state": "completed",
"transaction_id": "230669110fdaf0a0dbcdc079b6b8b43d5af29cc73683835b9bc6b3406c065fda",
"source_address": "A3BqqD5GRJ8wHy1PYyCXTe9ke5226Fha123",
"received_timestamp": 1550574558607,
"updated_timestamp": 1550574558807,
"note": "Note",
"clearance_state": "in_progress"
}
}Wallet
private/set_clearance_originator
cURL
curl --request POST \
--url https://test.deribit.com/api/v2/private/set_clearance_originator \
--header 'Authorization: Bearer <ACCESS_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"jsonrpc": "2.0",
"id": 1,
"method": "private/set_clearance_originator",
"params": {
"deposit_id": {
"currency": "BTC",
"user_id": 123,
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"tx_hash": "230669110fdaf0a0dbcdc079b6b8b43d5af29cc73683835b9bc6b3406c065fda"
},
"originator": {
"is_personal": false,
"first_name": "First",
"last_name": "Last",
"company_name": "Company Name",
"address": "NL, Amsterdam, Street, 1"
}
}
}'{
"jsonrpc": "2.0",
"id": 1,
"result": {
"currency": "BTC",
"user_id": 123,
"address": "2NBqqD5GRJ8wHy1PYyCXTe9ke5226FhavBz",
"amount": 0.4,
"state": "completed",
"transaction_id": "230669110fdaf0a0dbcdc079b6b8b43d5af29cc73683835b9bc6b3406c065fda",
"source_address": "A3BqqD5GRJ8wHy1PYyCXTe9ke5226Fha123",
"received_timestamp": 1550574558607,
"updated_timestamp": 1550574558807,
"note": "Note",
"clearance_state": "in_progress"
}
}Query Parameters
Response
200 - application/json
Success response
Deposit state. Allowed values:
pending: deposit detected on blockchain/system, compliance not yet finishedcompleted: compliance check finished successfullyrejected: deposit failed compliance and must be handled manuallyreplaced: deposit transaction was replaced on the blockchain and should have a new transaction hashrefunded: rejected deposit returned to its sender; refund_transaction_id identifies the refundAvailable options:
pending, completed, rejected, replaced, refunded Clearance state indicating the current status of the transaction clearance process. Allowed values:
in_progress: clearance process is in progresspending_admin_decision: transaction is under manual review by Deribit adminpending_user_input: user should provide additional information regarding the transactionsuccess: clearance process completed successfullyfailed: clearance process failed, transaction is rejectedcancelled: transaction is cancelled (currently used only for withdrawals, meaning the withdrawal is cancelled)refund_initiated: clearance process failed, transaction refund is initiated, funds are removed from Deribit balance (valid for deposits only)refunded: clearance process failed, deposit amount is refunded back to the client (valid for deposits only)Available options:
in_progress, pending_admin_decision, pending_user_input, success, failed, cancelled, refund_initiated, refunded Was this page helpful?